<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.vertx.address-resolver-option" stability="preview">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-max-time-to-live,cache-min-time-to-live,cache-negative-time-to-live,hosts-refresh-period,hosts-value,max-queries,n-dots,opt-resource-enabled,query-time-out,rd-flag,rotate-servers,round-robin-inet-address,search-domains,servers"/>
        <elem name="addr-params" value="profile,subsystem,address-resolver-option"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.vertx"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.vertx.options.address.resolver.$address-resolver-option"/>
    </provides>
    <refs>
        <ref feature="subsystem.vertx"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="address-resolver-option" feature-id="true"/>
        <param name="cache-max-time-to-live" nillable="true" stability="default"/>
        <param name="query-time-out" nillable="true" stability="default"/>
        <param name="search-domains" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="hosts-value" nillable="true" stability="default"/>
        <param name="cache-min-time-to-live" nillable="true" stability="default"/>
        <param name="rotate-servers" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="vertx"/>
        <param name="opt-resource-enabled" nillable="true" stability="default"/>
        <param name="hosts-refresh-period" nillable="true" stability="default"/>
        <param name="cache-negative-time-to-live" nillable="true" stability="default"/>
        <param name="rd-flag" nillable="true" stability="default"/>
        <param name="servers" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="max-queries" nillable="true" stability="default"/>
        <param name="round-robin-inet-address" nillable="true" stability="default"/>
        <param name="n-dots" nillable="true" stability="default"/>
    </params>
</feature-spec>